Package docking

# Class DefaultHelpService

java.lang.Object
docking.DefaultHelpService

All Implemented Interfaces:
  `HelpService`

public class DefaultHelpService extends Object implements HelpService

- ## Field Summary

  ### Fields inherited from interface help.HelpService

  `DUMMY_HELP_SET_NAME`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultHelpService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clearHelp(Object helpObject)`
  Removes this object from the help system.
  `void`
  `excludeFromHelp(Object helpObject)`
  Signals to the help system to ignore the given object when searching for and validating help.
  `HelpLocation`
  `getHelpLocation(Object object)`
  Returns the registered (via `HelpService.registerHelp(Object, HelpLocation)` help location for the given object; null if there is no registered help.
  `boolean`
  `helpExists()`
  Returns true if the help system has been initialized properly; false if help does not exist or is not working.
  `boolean`
  `isExcludedFromHelp(Object helpObject)`
  Returns true if the given object is meant to be ignored by the help system
  `void`
  `registerDynamicHelp(Object helpObject, DynamicHelpLocation helpLocation)`
  Registers a provider of dynamic help.
  `void`
  `registerHelp(Object helpObj, HelpLocation helpLocation)`
  Register help for a specific object.
  `void`
  `reload()`
  Called when a major system even happens, such as changing the system theme.
  `void`
  `showHelp(HelpLocation location)`
  Display the help page for the given help location.
  `void`
  `showHelp(Object helpObj, boolean infoOnly, Component parent)`
  Display the Help content identified by the help object.
  `void`
  `showHelp(URL url)`
  Display the help page for the given URL.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultHelpService

    public DefaultHelpService()

- ## Method Details

  - ### showHelp

    public void showHelp(Object helpObj, boolean infoOnly, Component parent)
    Description copied from interface: `HelpService`
    Display the Help content identified by the help object.
    Specified by:
      `showHelp` in interface `HelpService`
    Parameters:
      `helpObj` - the object to which help was previously registered
      `infoOnly` - display `HelpLocation` information only, not the help UI
      `parent` - requesting component
    See Also:
      - `HelpService.registerHelp(Object, HelpLocation)`

  - ### showHelp

    public void showHelp(URL url)
    Description copied from interface: `HelpService`
    Display the help page for the given URL. This is a specialty method for displaying help when a specific file is desired, like an introduction page. Showing help for objects within the system is accomplished by calling `HelpService.showHelp(Object, boolean, Component)`.
    Specified by:
      `showHelp` in interface `HelpService`
    Parameters:
      `url` - the URL to display
    See Also:
      - `HelpService.showHelp(Object, boolean, Component)`

  - ### showHelp

    public void showHelp(HelpLocation location)
    Description copied from interface: `HelpService`
    Display the help page for the given help location.
    Specified by:
      `showHelp` in interface `HelpService`
    Parameters:
      `location` - the location to display.
    See Also:
      - `HelpService.showHelp(Object, boolean, Component)`

  - ### excludeFromHelp

    public void excludeFromHelp(Object helpObject)
    Description copied from interface: `HelpService`
    Signals to the help system to ignore the given object when searching for and validating help. Once this method has been called, no help can be registered for the given object.
    Specified by:
      `excludeFromHelp` in interface `HelpService`
    Parameters:
      `helpObject` - the object to exclude from the help system.

  - ### isExcludedFromHelp

    public boolean isExcludedFromHelp(Object helpObject)
    Description copied from interface: `HelpService`
    Returns true if the given object is meant to be ignored by the help system
    Specified by:
      `isExcludedFromHelp` in interface `HelpService`
    Parameters:
      `helpObject` - the object to check
    Returns:
      true if ignored
    See Also:
      - `HelpService.excludeFromHelp(Object)`

  - ### clearHelp

    public void clearHelp(Object helpObject)
    Description copied from interface: `HelpService`
    Removes this object from the help system. This method is useful, for example, when a single Java `Component` will have different help locations assigned over its lifecycle.
    Specified by:
      `clearHelp` in interface `HelpService`
    Parameters:
      `helpObject` - the object for which to clear help

  - ### registerHelp

    public void registerHelp(Object helpObj, HelpLocation helpLocation)
    Description copied from interface: `HelpService`
    Register help for a specific object.

    Do not call this method will a `null` help location. Instead, to signal that an item has no help, call `HelpService.excludeFromHelp(Object)`.

    Specified by:
      `registerHelp` in interface `HelpService`
    Parameters:
      `helpObj` - the object to associate the specified help location with
      `helpLocation` - help content location

  - ### registerDynamicHelp

    public void registerDynamicHelp(Object helpObject, DynamicHelpLocation helpLocation)
    Description copied from interface: `HelpService`
    Registers a provider of dynamic help. See `DynamicHelpLocation` for more information.
    Specified by:
      `registerDynamicHelp` in interface `HelpService`
    Parameters:
      `helpObject` - the object to associate the specified help location with
      `helpLocation` - the dynamic help location

  - ### getHelpLocation

    public HelpLocation getHelpLocation(Object object)
    Description copied from interface: `HelpService`
    Returns the registered (via `HelpService.registerHelp(Object, HelpLocation)` help location for the given object; null if there is no registered help.
    Specified by:
      `getHelpLocation` in interface `HelpService`
    Parameters:
      `object` - The object for which to find a registered HelpLocation.
    Returns:
      the registered HelpLocation
    See Also:
      - `HelpService.registerHelp(Object, HelpLocation)`

  - ### helpExists

    public boolean helpExists()
    Description copied from interface: `HelpService`
    Returns true if the help system has been initialized properly; false if help does not exist or is not working.
    Specified by:
      `helpExists` in interface `HelpService`
    Returns:
      true if the help system has found the applications help content and has finished initializing

  - ### reload

    public void reload()
    Description copied from interface: `HelpService`
    Called when a major system even happens, such as changing the system theme.
    Specified by:
      `reload` in interface `HelpService`